Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79255 - apmd should restart the network service
Summary: apmd should restart the network service
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-09 00:03 UTC by Artur Adib
Modified: 2015-01-08 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-21 01:12:36 UTC


Attachments (Terms of Use)

Description Artur Adib 2002-12-09 00:03:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
This bug is similar to Bug #63311, except it does not concern wireless
cards. I also have a Dell CPx laptop but am using a Xircom ethernet card. The
problem is that after suspending the network is lost -
it doesn't help to manually restart services like network, pcmcia or
kudzu - the interface eth0 simply won't be restored.

I have used the following workaround for this problem:
I edited /etc/sysconfig/apmd and changed the line

RESTORESERVICES="named"

to

RESTORESERVICES="named network"

This fixed the problem.


Version-Release number of selected component (if applicable):
3.0.2-12

How reproducible:
Always

Steps to Reproduce:
1. check that network is working before suspend (i.e. eth0 is active)
2. suspend laptop
3. resume

Actual Results:  interface eth0 is down. trying to bring the interface up
manually (e.g. 'service network restart') or through RedHat's network tool
won't do it.	


Expected Results:  interface eth0 should be active again

Additional info:

Comment 1 Artur Adib 2002-12-13 23:42:27 UTC
Actually the solution I gave above still gives some intermittent
problems. Changing instead PCMCIARESTART to "yes", however, seems to
work perfectly well. Shouldn't this be the default value for that
variable?

Comment 2 Bill Nottingham 2003-02-21 01:12:36 UTC
Probably not; it's not really a problem for most laptops.


Note You need to log in before you can comment on or make changes to this bug.